#include <iostream>
using namespace std;
/* run this program using the console pauser or add your own getch, system("pause") or input loop */

int br=0;

int funkcija(int a[],int k, int n){

	if(k==-1){
		return br;
	}else if(k==0){
		for(int i=0;i<n;i++){
			br+=a[i];
		}
		k--;
		return funkcija(a,k,n);
	}else{
		for(int i=0;i<n;i++){
			for(int j=i;j<n;j++){
				int b[j-i+1];
				for(int x=0;x<=j-i;x++){
					b[x]=a[i+x];
				}
				k--;
				br+=funkcija(b,k,(j-i+1));
			}
		}	
	}
	return br;

	
	
}


int main(int argc, char** argv) {
	
	int n,k;
	cin>>n>>k;
	int a[n];
	for(int i=0;i<n;i++){
		cin>>a[i];
	}
	cout<<funkcija(a,k,n);
	
	return 0;
}